Retrieve all Banks

Retrieve a paginated list of all Banks and their details. You can apply filters to narrow down the results based on specific criteria.

Query Params
string

Implemented filter mappings:
businessId - Bank's businessId.
name - Bank's name. (e.g. "Example Bank Name")
bic - Bank's BIC (e.g. "UNCRBGSF").
bankCode - Bank's bank code (e.g. "ABCD").
branchCode - The branch code of the bank.
address - Address of the bank.
city - City of the bank.
language - 4 digit code (Language Code ISO (ISO 639-1) and Country Code ISO (ISO 3166-1)).
For example, when you need to find a bank with bic "UNCRBGSF" you need to run this query
filter=bic=UNCRBGSF

Condition values have to be escaped if they contain whitespace or operator symbols. To do so, enclose the whole value in double quotation marks
e.g. filter=name="Example Bank Name".


The following operators are supported in a filter term

OperatorNameDescriptionExample
=EqualExact match of a single valuebankCode=ABCD
!=Not EqualNegated equalbankCode!=ABCD
:InMatches field against list of comma separated valuesbankCode:ABCD,BPPA,BPAP
!:Not InNegated InbankCode!:ABCD,BPPA,BPAP
<field>ExistsA field without operator. Is true if the field is not null bankCode
<field>!Not ExistsNegated exists. Is true if field is nullbankCode!


The Equal (=) and Not-Equal (!=) operators can be used together with wildcards to match partial strings. A single asterisk (*) can be placed at the very start or end of a value to match any number of characters there.

Usage Name Description
name=foo* or name="foo"* Starts with Matches any string starting with the value.
name=*foo or name=*"foo" Ends with Matches any string ending with the value.
name=*foo* or name=*"foo"* Like Matches any string containing the value.


integer
Defaults to 1

Specify which page of results to return, one-based i.e. starts from 1

integer
Defaults to 50

specifies the number of items per page

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json